Api
List workflows
Paged workflow directory with the profiles coupled to each workflow. Use this to discover available workflows.
GET
/v1/workflowsPaged workflow directory with the profiles coupled to each workflow. Use this to discover available workflows.
Authorization
BearerAuth AuthorizationBearer <token>
Database-provisioned API token for consumer API access. Send as Authorization: Bearer .
In: header
Query Parameters
from?integer
Inclusive lower bound on updatedAt in Unix milliseconds.
to?integer
Inclusive upper bound on updatedAt in Unix milliseconds.
limit?integer
Default
50Range
1 <= value <= 100cursor?string
Response Body
application/json
application/json
application/json
curl -X GET "https://scraper.greenchoice.thirty-five.dev/v1/workflows"{
"data": [
{
"workflowId": "string",
"name": "string",
"description": "string",
"endpoint": "string",
"runtimeWorkflowId": "string",
"createdAt": 0,
"updatedAt": 0,
"profileCount": 0,
"profiles": [
{
"profileId": "string",
"name": "string"
}
]
}
],
"pagination": {
"limit": 1,
"nextCursor": "string",
"hasMore": true
}
}{
"error": "string",
"code": "bad_request"
}{
"error": "string",
"code": "bad_request"
}